﻿using Infragistics.Win.UltraWinTree;

namespace infragistics_memory_test
{
    internal class TreeNodeFormatter
    {
        public TreeNodeColumns Format(UltraTree ultraTree1_)
        {
            var rdxNodeColumnsDefinition = new TreeNodeColumns();
            ultraTree1_.ViewStyle = ViewStyle.FreeForm;
            ultraTree1_.ColumnSettings.RootColumnSet = GetRdxEventColumnSet(rdxNodeColumnsDefinition);
            return rdxNodeColumnsDefinition;
        }

        /// <summary>
        /// Define a ColumnSet that represents the RdxEvent table
        /// </summary>
        private UltraTreeColumnSet GetRdxEventColumnSet(TreeNodeColumns rdxNodeColumns_)
        {
            var rdxEventColumnSet = new UltraTreeColumnSet();

            //Add columns to the ColumnSet
            rdxNodeColumns_.Name = rdxEventColumnSet.Columns.Add(ColumnId.Name);
            rdxNodeColumns_.Column2 = rdxEventColumnSet.Columns.Add(ColumnId.Column2);
            rdxNodeColumns_.Column3 = rdxEventColumnSet.Columns.Add(ColumnId.Column3);
            rdxNodeColumns_.Column9 = rdxEventColumnSet.Columns.Add(ColumnId.Column9);
            rdxNodeColumns_.Column5 = rdxEventColumnSet.Columns.Add(ColumnId.Column5);
            rdxNodeColumns_.Column6 = rdxEventColumnSet.Columns.Add(ColumnId.Column6);
            rdxNodeColumns_.Column10 = rdxEventColumnSet.Columns.Add(ColumnId.Column10);
            rdxNodeColumns_.Column7 = rdxEventColumnSet.Columns.Add(ColumnId.Column7);
            rdxNodeColumns_.Column8 = rdxEventColumnSet.Columns.Add(ColumnId.Column8);
            rdxNodeColumns_.Column4 = rdxEventColumnSet.Columns.Add(ColumnId.Column4);
            rdxNodeColumns_.Column11 = rdxEventColumnSet.Columns.Add(ColumnId.Column11);
            rdxNodeColumns_.Column12 = rdxEventColumnSet.Columns.Add(ColumnId.Column12);
            return rdxEventColumnSet;
        }
    }
}